/* eslint-disable */
/* tslint:disable */
/**
 * This is an autogenerated file created by the Stencil compiler.
 * It contains typing information for all components that exist in this project.
 */
import { HTMLStencilElement, JSXBase } from "@stencil/core/internal";
export namespace Components {
    interface AppIcons {
    }
    interface AppSite {
    }
    interface InputCode {
        "inputValue": string;
    }
    interface TabBar {
        "color": string;
        "selectedIcon": string;
    }
    interface ToastBar {
        "color": string;
        "selectedIcon": string;
    }
}
declare global {
    interface HTMLAppIconsElement extends Components.AppIcons, HTMLStencilElement {
    }
    var HTMLAppIconsElement: {
        prototype: HTMLAppIconsElement;
        new (): HTMLAppIconsElement;
    };
    interface HTMLAppSiteElement extends Components.AppSite, HTMLStencilElement {
    }
    var HTMLAppSiteElement: {
        prototype: HTMLAppSiteElement;
        new (): HTMLAppSiteElement;
    };
    interface HTMLInputCodeElement extends Components.InputCode, HTMLStencilElement {
    }
    var HTMLInputCodeElement: {
        prototype: HTMLInputCodeElement;
        new (): HTMLInputCodeElement;
    };
    interface HTMLTabBarElement extends Components.TabBar, HTMLStencilElement {
    }
    var HTMLTabBarElement: {
        prototype: HTMLTabBarElement;
        new (): HTMLTabBarElement;
    };
    interface HTMLToastBarElement extends Components.ToastBar, HTMLStencilElement {
    }
    var HTMLToastBarElement: {
        prototype: HTMLToastBarElement;
        new (): HTMLToastBarElement;
    };
    interface HTMLElementTagNameMap {
        "app-icons": HTMLAppIconsElement;
        "app-site": HTMLAppSiteElement;
        "input-code": HTMLInputCodeElement;
        "tab-bar": HTMLTabBarElement;
        "toast-bar": HTMLToastBarElement;
    }
}
declare namespace LocalJSX {
    interface AppIcons {
    }
    interface AppSite {
    }
    interface InputCode {
        "inputValue"?: string;
    }
    interface TabBar {
        "color"?: string;
        "selectedIcon"?: string;
    }
    interface ToastBar {
        "color"?: string;
        "selectedIcon"?: string;
    }
    interface IntrinsicElements {
        "app-icons": AppIcons;
        "app-site": AppSite;
        "input-code": InputCode;
        "tab-bar": TabBar;
        "toast-bar": ToastBar;
    }
}
export { LocalJSX as JSX };
declare module "@stencil/core" {
    export namespace JSX {
        interface IntrinsicElements {
            "app-icons": LocalJSX.AppIcons & JSXBase.HTMLAttributes<HTMLAppIconsElement>;
            "app-site": LocalJSX.AppSite & JSXBase.HTMLAttributes<HTMLAppSiteElement>;
            "input-code": LocalJSX.InputCode & JSXBase.HTMLAttributes<HTMLInputCodeElement>;
            "tab-bar": LocalJSX.TabBar & JSXBase.HTMLAttributes<HTMLTabBarElement>;
            "toast-bar": LocalJSX.ToastBar & JSXBase.HTMLAttributes<HTMLToastBarElement>;
        }
    }
}
